<?php

namespace Drupal\pwa_firebase\Plugin\Block;

use Drupal\Core\Annotation\Translation;
use Drupal\Core\Block\Annotation\Block;
use Drupal\Core\Block\BlockBase;

/**
 * Custom block for user control notification.
 */
class NotificationManagerBlock extends BlockBase {

  /**
   * Provides a block for user disable notification.
   *
   * @Block(
   *   id = "notification_manager_block"
   *   admin_label = @Translation("Notification permission")
   * )
   */
  public function build() {
    $form['pwa_firebase_notifications'] = [
      '#type' => 'markup',
      '#markup' => '<span id="pwa_firebase_notifications" class="btn btn-success"><i class="glyphicon glyphicon-bell"></i> ' . t('Enable notifications') . '</span>
           <span id="pwa_firebase_remove_token" class="btn btn-danger"><i class="glyphicon glyphicon-remove"></i> ' . t('Delete Token') . '</span>
           <div id="pwa_firebase_message" class="row"></div>',
    ];
    return $form;
  }

}
